summaryrefslogtreecommitdiff
path: root/debian/tests
diff options
context:
space:
mode:
authorGard Spreemann <gspreemann@gmail.com>2018-06-13 10:27:52 +0200
committerGard Spreemann <gspreemann@gmail.com>2018-06-13 10:27:52 +0200
commit59c46c8fc4c37bfcbb7c9c9fb60bba201168d675 (patch)
tree3d7a78f42e321097352ab0753c64329badfe7bad /debian/tests
parent54d0b02e9e3842afb7b9d194ecf058f8b4adb75e (diff)
Cosmetic.
Diffstat (limited to 'debian/tests')
-rw-r--r--debian/tests/control2
-rwxr-xr-xdebian/tests/tests.sh28
2 files changed, 26 insertions, 4 deletions
diff --git a/debian/tests/control b/debian/tests/control
index d681ba0..67b07be 100644
--- a/debian/tests/control
+++ b/debian/tests/control
@@ -1,2 +1,2 @@
Tests: tests.sh
-Depends: gfortran, shunit2, liblbfgsb-dev \ No newline at end of file
+Depends: gfortran, libblas-dev, liblbfgsb-dev, shunit2 \ No newline at end of file
diff --git a/debian/tests/tests.sh b/debian/tests/tests.sh
index 135564c..b681dea 100755
--- a/debian/tests/tests.sh
+++ b/debian/tests/tests.sh
@@ -1,15 +1,15 @@
#!/bin/bash
+names="test1 test2"
+
oneTimeSetUp() {
set -u
cp debian/tests/test*.f90 $AUTOPKGTEST_TMP
}
-test() {
+testSO() {
cwd=$(pwd)
cd $AUTOPKGTEST_TMP
-
- names="test1 test2"
for name in $names
do
echo "Building."
@@ -29,4 +29,26 @@ test() {
cd $cwd
}
+testStatic() {
+ cwd=$(pwd)
+ cd $AUTOPKGTEST_TMP
+ for name in $names
+ do
+ echo "Building."
+ set -x
+ gfortran $name.f90 -O3 -march=native -static -llbfgsb -lblas -pthread -o $name-static
+ ret=$?
+ set +x
+ assertEquals 0 $ret
+
+ echo "Running."
+ set -x
+ ./$name-static
+ ret=$?
+ set +x
+ assertEquals 0 $ret
+ done
+ cd $cwd
+}
+
. shunit2